# NOTE: This script can be modified for different atomic structures, 
# units, etc. See in.elastic for more info.
#

# Define the finite deformation size. Try several values of this
# variable to verify that results do not depend on it.
variable up equal 1.0e-6
 
# metal units, elastic constants in GPa
units		metal
variable cfac equal 1.0e-4
variable cunits string GPa

# Define minimization parameters
variable etol equal 0.0 
variable ftol equal 1.0e-10
variable maxiter equal 100
variable maxeval equal 1000
variable dmax equal 1.0e-2

# Define atom positions

variable a equal LATTICE_CONST

boundary		p p p
atom_style      atomic

lattice     	fcc $a
region		box prism 0 2.0 0 2.0 0 2.0 0.0 0.0 0.0
create_box	1 box
create_atoms	1 box

# Need to set mass to something, just to satisfy LAMMPS
#mass * 58.693

