import numpy as np
import glob


dirs = glob.glob("eam-*/")
print dirs 

output_all = []
files_array = []
i = 0
for dir in dirs:
	j=0
	files_in_dir = glob.glob(dir+"output/vol*") 
	files =[]
	for file in files_in_dir:
		files += [files_in_dir[j]]
		#print files_in_dir[j]
		j += 1
	i += 1
	files_array += [files]



for row in files_array:
	output = []
	data_list = []
	temp = []
	for file in row:

		# Get temperature from filename
		temp += [int(file[-9:-6])]

		# Get parameters from filename
		new_file = file.replace('_','-')
		list_1 = []
		list_1 = new_file.split("-")
		
		params = []
		# Check whether we have lj or morse, i.e. 2 or three parameters
		if list_1[0] == 'morse':
			num_params = 3
		else:
			num_params = 2
		
		for i in range(num_params):
			params += [float(list_1[i+1])]

		print params


		# Read data from file
		data = np.loadtxt(file)
		data_list += [float(data)]

	# Skip directories with no completed files	
	if temp == []: continue

	#compute delta_a/delta_T (linear least mean square fit)
  	cubic_root_volume = [i**(1/3.0) for i in data_list]
  	(slope, ycut) = np.polyfit(temp, cubic_root_volume, 1)

  	# linear thermal expansion coeff calculation
  	output += [str(list_1[0])]
  	for i in range(num_params):
  		output += [params[i]]
  	output += [slope/float(cubic_root_volume[len(cubic_root_volume)/2])]
  	output += [len(temp)]
  	output_all += [output]
print output_all

# Write output to files
file_lj = open('lj_TE.out', 'w')
file_morse = open('morse_TE.out', 'w')
file_eam = open('eam_TE.out', 'w')
for item in output_all:
	if item[0] =='lj':
		for each in item:
			file_lj.write("%s " % str(each))
		file_lj.write("\n") 
	elif item[0] =='morse':
		for each in item:
			file_morse.write("%s " % str(each))
		file_morse.write("\n") 
	else:
		for each in item:
			file_eam.write("%s " % str(each))
		file_eam.write("\n")

file_lj.close()
file_morse.close()
file_eam.close()


	



